import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class Main {
    public static void main(String[] args) {
	final PointSet s = new PointSet();

	// View 1 erzeugen
        JFrame f = new JFrame("MVC-Beispiel");
	PointSetPanel p = new PointSetPanel(s, Color.white);
	// Controller bei View 1 registrieren
	p.addMouseListener(new MouseAdapter() {
	    public void mousePressed(MouseEvent e) {
	        s.add(e.getPoint());
	    }
	});
	f.setContentPane(p);
	f.pack();
	f.setVisible(true);

	// View 2 erzeugen
        JFrame f1 = new JFrame("MVC-Beispiel (Fenster 2)");
	PointSetPanel p1 = new PointSetPanel(s, Color.black);
	// Controller bei View 2 registrieren
	p1.addMouseListener(new MouseAdapter() {
	    public void mousePressed(MouseEvent e) {
	        s.add(e.getPoint());
	    }
	});
	f1.setContentPane(p1);
	f1.pack();
	f1.setVisible(true);

	// Fenster zur Manipulation des PointSets erzeugen
	JFrame f2 = new JFrame("Punkt-Eingabe");
	JPanel p2 = new JPanel();
	f2.setContentPane(p2);
	p2.setLayout(new GridLayout(3, 2));
	JLabel l1 = new JLabel("x = ");
	p2.add(l1);
	final JTextField t1 = new JTextField("");
	p2.add(t1);
	JLabel l2 = new JLabel("y = ");
	p2.add(l2);
	final JTextField t2 = new JTextField("");
	p2.add(t2);
	JButton b = new JButton("Punkt aufnehmen");
	b.addActionListener(new ActionListener() {
	    public void actionPerformed(ActionEvent e) {
	        try {
		    int x = Integer.parseInt(t1.getText());
		    int y = Integer.parseInt(t2.getText());
		    // Modell aendern: PointSet um neuen Punkt erweitern
		    s.add(new Point(x, y));
		}
		catch (Exception ex) {
		    // sollten wir eigentlich mit Fehlermeldung quittieren ;-)
		}
	    }
	});
	p2.add(b);
	f2.pack();
	f2.setVisible(true);
    }
}
